/* Map keyboard keys to emulate a GP2X's buttons.
   Copyright (C) 2006 Carl Fredrik Hammar (hammy.lite@gmail.com)

   This file is part of GP2X Sand.

   GP2X Sand is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   GP2X Sand is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   General Public License for more details. 

   You should have received a copy of the GNU General Public License along
   with GP2X Sand; if not, write to the Free Software Foundation, Inc., 51
   Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA */

#ifndef GP2XKEYBOARD_H
#define GP2XKEYBOARD_H

/* No this isn't about attaching a keyboard to a gp2x, sorry to get your
   hopes up ;).  This little function maps keyboard keys generate the
   same events as gp2x  buttons would, which is nice when testing on a
   computer.  Here's the map:

     Numpad:   Is the stick, 9 buttons makes for eight directions and
               center push.
     Numpad +: Volume + 
     Numpad -: Volume - 
     A:        A
     D:        B
     S:        X
     W:        Y
     Q:        L
     E:        R
     Return:   Start
     Space:    Select */
     
void
gp2x_keyboard_init_default ();

#endif /* not GP2XKEYBOARD_H */
